package com.example.lolo.conversordivisas;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

/**
 * Created by Lolo on 21/11/2015.
 */
public class ManejadorXML extends DefaultHandler {
    private Double totalResults;
    private StringBuilder cadena = new StringBuilder();
    public Double getTotalResults() {
        return totalResults;
    }

    @Override
    public void startElement(String uri, String nombreLocal, String nombreCualif, Attributes atributos) throws SAXException {
        cadena.setLength(0);
    }

    @Override
    public void characters(char ch[], int comienzo, int lon){
        cadena.append(ch, comienzo, lon);
    }

    @Override
    public void endElement(String uri, String nombreLocal,String nombreCualif) throws SAXException {
        totalResults = Double.parseDouble(cadena.toString());

    }
}
